Package org.eclipse.birt.report.model.api

# Class FormatValueHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.FormatValueHandle

public class FormatValueHandle extends StructureHandle
Represents a format value in the style or the highlight rule.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`FormatValueHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef context)`
Deprecated.
`FormatValueHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext context)`
Construct an handle to deal with the action structure.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCategory()`
Returns the category of the format.
`com.ibm.icu.util.ULocale`
`getLocale()`
Gets the locale of the format.
`String`
`getPattern()`
Returns the pattern of the format.
`void`
`setCategory(String pattern)`
Sets the category of the format.
`void`
`setLocale(com.ibm.icu.util.ULocale locale)`
Sets the locale of the format.
`void`
`setPattern(String value)`
Sets the pattern of the format.

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormatValueHandle

public FormatValueHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.StructureContext context)
Construct an handle to deal with the action structure.

Parameters:
  `element` - the element that defined the action.
  `context` - context to the format value property.

### FormatValueHandle

@Deprecated public FormatValueHandle(DesignElementHandle element, org.eclipse.birt.report.model.core.MemberRef context)
Deprecated.
Construct an handle to deal with the action structure.

Parameters:
  `element` - the element that defined the action.
  `context` - context to the format value property

## Method Details

### getCategory

public String getCategory()
Returns the category of the format.

Returns:
  the category of the format

### setCategory

public void setCategory(String pattern) throws SemanticException
Sets the category of the format.

Parameters:
  `pattern` - the category of the format
Throws:
  `SemanticException` - if `pattern` is not one of the BIRT defined.

### getPattern

public String getPattern()
Returns the pattern of the format.

Returns:
  the pattern of the format

### setPattern

public void setPattern(String value)
Sets the pattern of the format.

Parameters:
  `value` - the pattern of the format

### setLocale

public void setLocale(com.ibm.icu.util.ULocale locale) throws SemanticException
Sets the locale of the format.

Parameters:
  `locale` - the locale of the format.
Throws:
  `SemanticException`

### getLocale

public com.ibm.icu.util.ULocale getLocale()
Gets the locale of the format.

Returns:
  the locale of the format.